# Payment Methods

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Payment Methods in the platform.**

## Queries

### Query Payment Methods

[fetch SDL for query paymentMethods](#graphql-partial-sdls).

### Get Payment Method

[fetch SDL for query paymentMethod](#graphql-partial-sdls).

## Mutations

### Create Payment Method

[fetch SDL for mutation createPaymentMethod](#graphql-partial-sdls).

### Update Payment Method

[fetch SDL for mutation updatePaymentMethod](#graphql-partial-sdls).

### Delete Payment Method

[fetch SDL for mutation deletePaymentMethod](#graphql-partial-sdls).

## Output types

### PaymentMethod

[fetch SDL for type PaymentMethod](#graphql-partial-sdls).

### Payment Method Query Result

[fetch SDL for type PaymentMethodQueryResult](#graphql-partial-sdls).

## Input types

### PaymentMethodDraft

[fetch SDL for type PaymentMethodDraft](#graphql-partial-sdls).

### PaymentMethodUpdateAction

[fetch SDL for type PaymentMethodUpdateAction](#graphql-partial-sdls).

### Update actions

#### Set Key

[fetch SDL for type SetPaymentMethodKey](#graphql-partial-sdls).

#### Set Name

[fetch SDL for type SetPaymentMethodName](#graphql-partial-sdls).

#### Set Method

[fetch SDL for type SetPaymentMethodMethod](#graphql-partial-sdls).

#### Set Default

[fetch SDL for type SetPaymentMethodDefault](#graphql-partial-sdls).

#### Set PaymentMethodStatus

[fetch SDL for type SetPaymentMethodStatus](#graphql-partial-sdls).

#### Set PaymentInterface

[fetch SDL for type SetPaymentMethodPaymentInterface](#graphql-partial-sdls).

#### Set InterfaceAccount

[fetch SDL for type SetPaymentMethodInterfaceAccount](#graphql-partial-sdls).

#### Set Custom Type

[fetch SDL for type SetPaymentMethodCustomType](#graphql-partial-sdls).

#### Set CustomField

[fetch SDL for type SetPaymentMethodCustomField](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)